Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.epochx.stats
Enum GenerationStatField

    java.lang.Object
      java.lang.Enum<GenerationStatField>
          com.epochx.stats.GenerationStatField

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenerationStatField>

    public enum GenerationStatField

extends java.lang.Enum<GenerationStatField>

This enum gives all the available generation statistics that can be requested. Generation statistics are those statistics that are generated at the end of each generation. Each GenStatField has a datatype related to it which is the type which the data will be returned in.

See Also:
  `GenerationStatListener`, `CrossoverStatField`, `MutationStatField`, `RunStatField`

Enum Constant Summary
`AVE_NODES_PER_DEPTH` Requests a Double[] which is of length DEPTH_MAX.
`BEST_PROGRAM` Requests a CandidateProgram which has the 'best' fitness in the generation.
`DEPTH_AVE` Requests a Double which is the average depth of CandidatePrograms in that generation.
`DEPTH_MAX` Requests a Double which is maximum depth of all the CandidatePrograms in that generation.
`DEPTH_MIN` Requests a Double which is minimum depth of all the CandidatePrograms in that generation.
`DEPTH_STDEV` Requests a Double which is the standard deviation of depths of CandidatePrograms in that generation.
`FITNESS_AVE` Requests a Double which is the average fitness of all the CandidatePrograms in that generation.
`FITNESS_CI_95` Requests a Double which is the confidence interval at 95% of the fitnesses.
`FITNESS_MAX` Requests a Double which is the maximum fitness of all the CandidatePrograms in that generation.
`FITNESS_MEDIAN` Requests a Double which is the median of all the fitnesses of all the CandidatePrograms in that generation.
`FITNESS_MIN` Requests a Double which is the minimum fitness of all the CandidatePrograms in that generation.
`FITNESS_STDEV` Requests a Double which is the standard deviation of the fitnesses of all the CandidatePrograms in that generation.
`LENGTH_AVE` Requests a Double which is the average length (that is - number of nodes) of CandidatePrograms in that generation.
`LENGTH_MAX` Requests a Double which is maximum length (that is - number of nodes) of all the CandidatePrograms in that generation.
`LENGTH_MIN` Requests a Double which is minimum length (that is - number of nodes) of all the CandidatePrograms in that generation.
`LENGTH_STDEV` Requests a Double which is the standard deviation of lengths (that is - number of nodes) of CandidatePrograms in that generation.
`NO_DISTINCT_FUNCTIONS_AVE` Requests a Double which is the average number of unique function nodes in a CandidateProgram in that generation.
`NO_DISTINCT_FUNCTIONS_MAX` Requests a Double which is the maximum number of unique function nodes in a CandidateProgram in that generation.
`NO_DISTINCT_FUNCTIONS_MIN` Requests a Double which is the minimum number of unique function nodes in a CandidateProgram in that generation.
`NO_DISTINCT_FUNCTIONS_STDEV` Requests a Double which is the standard deviation of the number of unique function nodes in each CandidateProgram in that generation.
`NO_DISTINCT_TERMINALS_AVE` Requests a Double which is the average number of unique terminal nodes in a CandidateProgram in that generation.
`NO_DISTINCT_TERMINALS_MAX` Requests a Double which is the maximum number of unique terminal nodes in a CandidateProgram in that generation.
`NO_DISTINCT_TERMINALS_MIN` Requests a Double which is the minimum number of unique terminal nodes in a CandidateProgram in that generation.
`NO_DISTINCT_TERMINALS_STDEV` Requests a Double which is the standard deviation of the number of unique terminal nodes in each CandidateProgram in that generation.
`NO_FUNCTIONS_AVE` Requests a Double which is the average number of function nodes in all the CandidatePrograms of that generation.
`NO_FUNCTIONS_MAX` Requests a Double which is the maximum number of function nodes in a CandidateProgram in that generation.
`NO_FUNCTIONS_MIN` Requests a Double which is the minimum number of function nodes in a CandidateProgram in that generation.
`NO_FUNCTIONS_STDEV` Requests a Double which is the standard deviation of the number of function nodes in each CandidateProgram in that generation.
`NO_TERMINALS_AVE` Requests a Double which is the average number of terminal nodes in all the CandidatePrograms of that generation.
`NO_TERMINALS_MAX` Requests a Double which is the maximum number of terminal nodes in a CandidateProgram in that generation.
`NO_TERMINALS_MIN` Requests a Double which is the minimum number of terminal nodes in a CandidateProgram in that generation.
`NO_TERMINALS_STDEV` Requests a Double which is the standard deviation of the number of terminal nodes in each CandidateProgram in that generation.
`POPULATION` Requests a List which is the population at the end of this generation.
`RUN_TIME` Requests a Long which is the length of time in nanoseconds that the generation lasted.

Method Summary
`static GenerationStatField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenerationStatField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEPTH_AVE

    public static final GenerationStatField DEPTH_AVE

  Requests a Double which is the average depth of CandidatePrograms in that generation.

### DEPTH_STDEV

    public static final GenerationStatField DEPTH_STDEV

  Requests a Double which is the standard deviation of depths of CandidatePrograms in that generation.

### DEPTH_MAX

    public static final GenerationStatField DEPTH_MAX

  Requests a Double which is maximum depth of all the CandidatePrograms in that generation. Should always be a whole number.

### DEPTH_MIN

    public static final GenerationStatField DEPTH_MIN

  Requests a Double which is minimum depth of all the CandidatePrograms in that generation. Should always be a whole number.

### AVE_NODES_PER_DEPTH

    public static final GenerationStatField AVE_NODES_PER_DEPTH

  Requests a Double[] which is of length DEPTH_MAX. Each element is the average number of nodes of all CandidatePrograms in the population at that depth.

### LENGTH_AVE

    public static final GenerationStatField LENGTH_AVE

  Requests a Double which is the average length (that is - number of nodes) of CandidatePrograms in that generation.

### LENGTH_STDEV

    public static final GenerationStatField LENGTH_STDEV

  Requests a Double which is the standard deviation of lengths (that is - number of nodes) of CandidatePrograms in that generation.

### LENGTH_MAX

    public static final GenerationStatField LENGTH_MAX

  Requests a Double which is maximum length (that is - number of nodes) of all the CandidatePrograms in that generation. Should always be a whole number.

### LENGTH_MIN

    public static final GenerationStatField LENGTH_MIN

  Requests a Double which is minimum length (that is - number of nodes) of all the CandidatePrograms in that generation. Should always be a whole number.

### NO_TERMINALS_AVE

    public static final GenerationStatField NO_TERMINALS_AVE

  Requests a Double which is the average number of terminal nodes in all the CandidatePrograms of that generation.

### NO_TERMINALS_STDEV

    public static final GenerationStatField NO_TERMINALS_STDEV

  Requests a Double which is the standard deviation of the number of terminal nodes in each CandidateProgram in that generation.

### NO_TERMINALS_MAX

    public static final GenerationStatField NO_TERMINALS_MAX

  Requests a Double which is the maximum number of terminal nodes in a CandidateProgram in that generation.

### NO_TERMINALS_MIN

    public static final GenerationStatField NO_TERMINALS_MIN

  Requests a Double which is the minimum number of terminal nodes in a CandidateProgram in that generation.

### NO_DISTINCT_TERMINALS_AVE

    public static final GenerationStatField NO_DISTINCT_TERMINALS_AVE

  Requests a Double which is the average number of unique terminal nodes in a CandidateProgram in that generation.

### NO_DISTINCT_TERMINALS_STDEV

    public static final GenerationStatField NO_DISTINCT_TERMINALS_STDEV

  Requests a Double which is the standard deviation of the number of unique terminal nodes in each CandidateProgram in that generation.

### NO_DISTINCT_TERMINALS_MAX

    public static final GenerationStatField NO_DISTINCT_TERMINALS_MAX

  Requests a Double which is the maximum number of unique terminal nodes in a CandidateProgram in that generation.

### NO_DISTINCT_TERMINALS_MIN

    public static final GenerationStatField NO_DISTINCT_TERMINALS_MIN

  Requests a Double which is the minimum number of unique terminal nodes in a CandidateProgram in that generation.

### NO_FUNCTIONS_AVE

    public static final GenerationStatField NO_FUNCTIONS_AVE

  Requests a Double which is the average number of function nodes in all the CandidatePrograms of that generation.

### NO_FUNCTIONS_STDEV

    public static final GenerationStatField NO_FUNCTIONS_STDEV

  Requests a Double which is the standard deviation of the number of function nodes in each CandidateProgram in that generation.

### NO_FUNCTIONS_MAX

    public static final GenerationStatField NO_FUNCTIONS_MAX

  Requests a Double which is the maximum number of function nodes in a CandidateProgram in that generation.

### NO_FUNCTIONS_MIN

    public static final GenerationStatField NO_FUNCTIONS_MIN

  Requests a Double which is the minimum number of function nodes in a CandidateProgram in that generation.

### NO_DISTINCT_FUNCTIONS_AVE

    public static final GenerationStatField NO_DISTINCT_FUNCTIONS_AVE

  Requests a Double which is the average number of unique function nodes in a CandidateProgram in that generation.

### NO_DISTINCT_FUNCTIONS_STDEV

    public static final GenerationStatField NO_DISTINCT_FUNCTIONS_STDEV

  Requests a Double which is the standard deviation of the number of unique function nodes in each CandidateProgram in that generation.

### NO_DISTINCT_FUNCTIONS_MAX

    public static final GenerationStatField NO_DISTINCT_FUNCTIONS_MAX

  Requests a Double which is the maximum number of unique function nodes in a CandidateProgram in that generation.

### NO_DISTINCT_FUNCTIONS_MIN

    public static final GenerationStatField NO_DISTINCT_FUNCTIONS_MIN

  Requests a Double which is the minimum number of unique function nodes in a CandidateProgram in that generation.

### FITNESS_AVE

    public static final GenerationStatField FITNESS_AVE

  Requests a Double which is the average fitness of all the CandidatePrograms in that generation.

### FITNESS_STDEV

    public static final GenerationStatField FITNESS_STDEV

  Requests a Double which is the standard deviation of the fitnesses of all the CandidatePrograms in that generation.

### FITNESS_MAX

    public static final GenerationStatField FITNESS_MAX

  Requests a Double which is the maximum fitness of all the CandidatePrograms in that generation. Note that if using standardised fitness the 'best' fitness may be the minimum.

### FITNESS_MIN

    public static final GenerationStatField FITNESS_MIN

  Requests a Double which is the minimum fitness of all the CandidatePrograms in that generation. Note that if using standardised fitness the 'best' fitness may be the minimum.

### FITNESS_MEDIAN

    public static final GenerationStatField FITNESS_MEDIAN

  Requests a Double which is the median of all the fitnesses of all the CandidatePrograms in that generation.

### FITNESS_CI_95

    public static final GenerationStatField FITNESS_CI_95

  Requests a Double which is the confidence interval at 95% of the fitnesses.

### BEST_PROGRAM

    public static final GenerationStatField BEST_PROGRAM

  Requests a CandidateProgram which has the 'best' fitness in the generation. This is usually the lowest fitness score.

### POPULATION

    public static final GenerationStatField POPULATION

  Requests a List which is the population at the end of this generation.

### RUN_TIME

    public static final GenerationStatField RUN_TIME

  Requests a Long which is the length of time in nanoseconds that the generation lasted.

Method Detail

### values

    public static GenerationStatField[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GenerationStatField c : GenerationStatField.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GenerationStatField valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD